Skip to main content
GET
/
supplier_lists
Retrieve all supplier lists, filter by query
curl --request GET \
  --url https://api.zivio.net/api/v3/supplier_lists \
  --header 'X-API-Key: <api-key>' \
  --header 'zivio-tenant-id: <api-key>'
import requests

url = "https://api.zivio.net/api/v3/supplier_lists"

headers = {
    "X-API-Key": "<api-key>",
    "zivio-tenant-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};

fetch('https://api.zivio.net/api/v3/supplier_lists', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "talent_pools": [
    {
      "id": "123",
      "owner_type": "User",
      "owner_name": "Jack Jones",
      "name": "Tier 1 Suppliers",
      "description": "description",
      "visibility": "private",
      "sync_marketing": "true",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required
zivio-tenant-id
string
header
required

Query Parameters

q
string

Query string. search in name and description

created
string

Date range [2020-01-01+TO+2020-01-30] to search based on created timestamp for object.

updated
string

Date range [2020-01-01+TO+2020-01-30] to search based on updated timestamp for object.

sort
string

Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc

limit
integer

Number of results returned per request

page
integer

Paginate results when number of results exceeds limit

Response

ok

talent_pools
object[]